Skip to navigation

Update account billing plan

View as Markdown
Updates the billing plan information, billing address, and credit card information for the specified account.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Query parameters

preview_billing_planstringOptional

When set to true, updates the account using a preview billing plan.

Request

This endpoint expects an object: billingPlanInformation

appStoreReceiptobjectOptional
Contains information about an APP store receipt.
billingAddressobjectOptional
Contains information about an account address.
creditCardInformationobjectOptional
downgradeReasonstringOptional
enableSupportstringOptional

When set to true, then customer support is provided as part of the account plan.

includedSeatsstringOptional

The number of seats (users) included.

incrementalSeatsstringOptional

Reserved: TBD

paymentProcessorInformationobjectOptional
planInformationobjectOptional
An object used to identify the features and attributes of the account being created.
referralInformationobjectOptional

A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry

Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for DoucSign use only.
renewalStatusstringOptional
saleDiscountAmountstringOptional
Reserved for DocuSign use only.
saleDiscountFixedAmountstringOptional
Reserved for DocuSign use only.
saleDiscountPercentstringOptional
Reserved for DocuSign use only.
saleDiscountPeriodsstringOptional
Reserved for DocuSign use only.
saleDiscountSeatPriceOverridestringOptional
Reserved for DocuSign use only.

Response

Successful response.
accountPaymentMethodstringOptional
billingPlanPreviewobjectOptional
Contains information about a preview billing plan.
currencyCodestringOptional
Specifies the ISO currency code for the account.
includedSeatsstringOptional

The number of seats (users) included.

paymentCyclestringOptional
paymentMethodstringOptional
planIdstringOptional
The DocuSign Plan ID for the account.
planNamestringOptional

Errors

400
Bad Request Error